Foxit PDF SDK

Public Member Functions | List of all members
FSDK.LaunchAction Class Reference
Inheritance diagram for FSDK.LaunchAction:

## Public Member Functions
| constructor (action)
| Constructor, with parent class object. More...
| GetFileSpec ()
| Get the file specification which specifies the application to be launched or the document to be opened or printed. More...
| GetNewWindowFlag ()
| Get the flag which is used to decide whether to open the destination document in a new window or not. More...
| GetWinAppOperation ()
| (Windows-specific launch parameters) Get the operation name. More...
| GetWinAppParameter ()
| (Windows-specific launch parameters) Get parameter string to be passed to the specified application. More...
| GetWinDefaultDirectory ()
| (Windows-specific launch parameters) Get the default directory in standard DOS syntax. More...
| GetWinFileName ()
| (Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed. More...
| SetFileSpec (file_specification)
| Set a file specification which specifies an application to be launched or a document to be opened or printed. More...
| SetNewWindowFlag (flag)
| Set the flag which is used to decide whether to open the destination document in a new window or not. More...
| SetWinLaunchParameter (file_name, default_directory, operation, app_parameter)
| (Windows-specific launch parameters)Set Windows-specific launch parameters. More...
Public Member Functions inherited from FSDK.Action
| constructor (document, action_dict)
| Constructor, with parameters. More...
| GetDict ()
| Get PDF dictionary of current object. More...
| GetDocument ()
| Get the PDF document, to which current action belongs. More...
| GetSubAction (index)
| Get a sub-action by index. More...
| GetSubActionCount ()
| Get the count of sub-actions. More...
| GetType ()
| Get action type. More...
| InsertSubAction (index, sub_action)
| Insert a new sub-action to the location specified by index. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| RemoveAllSubActions ()
| Remove all the sub-actions. More...
| RemoveSubAction (index)
| Remove a sub-action, specified by index. More...
| SetSubAction (index, sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Static Public Member Functions inherited from FSDK.Action
static | Create (document, action_type)
| Create a new action, for specified action type. More...
Static Public Attributes inherited from FSDK.Action
static | e_NewWindowFlagFalse
| Enumeration for new window flag. More...
static | e_NewWindowFlagNone
| No "NewWindow" flag.
static | e_NewWindowFlagTrue
| "NewWindow" flag is true.
static | e_TypeGoto
| Action type: go-to action.
static | e_TypeGoTo3DView
| Action type: go-to-3D-view action.
static | e_TypeGoToE
| Action type: embedded go-to action.
static | e_TypeGoToR
| Action type: remote go-to action.
static | e_TypeHide
| Action type: hide action.
static | e_TypeImportData
| Action type: import-data action.
static | e_TypeJavaScript
| Action type: JavaScript action.
static | e_TypeLaunch
| Action type: launch action.
static | e_TypeMovie
| Action type: movie action.
static | e_TypeNamed
| Action type: named action.
static | e_TypeRendition
| Action type: rendition action.
static | e_TypeResetForm
| Action type: reset-form action.
static | e_TypeSetOCGState
| Action type: set-OCG-state action.
static | e_TypeSound
| Action type: sound action.
static | e_TypeSubmitForm
| Action type: submit-form action.
static | e_TypeThread
| Action type: thread action.
static | e_TypeTrans
| Action type: transition action.
static | e_TypeUnknown
| Enumeration for action type. More...
static | e_TypeURI
| Action type: uniform resource identifier (URI) action.

## Detailed Description

Launch action is to launch an application, usually to open a file. Class FSDK.LaunchAction is derived from FSDK.Action and offers functions to get/set launch action data.

See also
  FSDK.Action

## Member Function Documentation

## ◆ constructor()

FSDK.LaunchAction.constructor | ( | action |  | ) |

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## ◆ GetFileSpec()

FSDK.LaunchAction.GetFileSpec | ( |  | ) |

Get the file specification which specifies the application to be launched or the document to be opened or printed.

Returns
  A file specification object. If the return value of function FSDK.FileSpec.IsEmpty for the returned file specification object is true, that means no such property is found.

## ◆ GetNewWindowFlag()

FSDK.LaunchAction.GetNewWindowFlag | ( |  | ) |

Get the flag which is used to decide whether to open the destination document in a new window or not.

Returns
  The new windows flag. It would be one of following values:
  - FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window.
  - FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window.
  - FSDK.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

## ◆ GetWinAppOperation()

FSDK.LaunchAction.GetWinAppOperation | ( |  | ) |

(Windows-specific launch parameters) Get the operation name.

Standard strings for operation name are:

- "open": Open a document.
- "print": Print a document

If the file name of Windows-specific launch parameters represents an application, the operation name would be useless for current action.

Returns
  Operation name.

## ◆ GetWinAppParameter()

FSDK.LaunchAction.GetWinAppParameter | ( |  | ) |

(Windows-specific launch parameters) Get parameter string to be passed to the specified application.

If the file name of Windows-specific launch parameters represents a document, app parameter string will be ignored.

Returns
  Parameter string.

## ◆ GetWinDefaultDirectory()

FSDK.LaunchAction.GetWinDefaultDirectory | ( |  | ) |

(Windows-specific launch parameters) Get the default directory in standard DOS syntax.

Returns
  Default directory.

## ◆ GetWinFileName()

FSDK.LaunchAction.GetWinFileName | ( |  | ) |

(Windows-specific launch parameters) Get the file name of the application to be launched or the document to be opened or printed.

Returns
  File name.

## ◆ SetFileSpec()

FSDK.LaunchAction.SetFileSpec | ( | file_specification |  | ) |

Set a file specification which specifies an application to be launched or a document to be opened or printed.

Parameters

  [in] | file_specification | A valid file specification object. This object should be in the same document with current action object.

Returns
  None.

## ◆ SetNewWindowFlag()

FSDK.LaunchAction.SetNewWindowFlag | ( | flag |  | ) |

Set the flag which is used to decide whether to open the destination document in a new window or not.

Parameters

  [in] | flag | The new window flag. It should be one of following values: FSDK.Action.e_NewWindowFlagTrue means to open the destination document in a new window. FSDK.Action.e_NewWindowFlagFalse means that the destination document replaces current document in the same window. FSDK.Action.e_NewWindowFlagNone means that no such flag and the viewer application should behave in accordance with the current user preference.

Returns
  None.

## ◆ SetWinLaunchParameter()

FSDK.LaunchAction.SetWinLaunchParameter | ( | file_name | ,
|  | default_directory | ,
|  | operation | ,
|  | app_parameter |
| ) |  |

(Windows-specific launch parameters)Set Windows-specific launch parameters.

This function is used to set Windows-specific launch parameters. Parameter file_name is necessary and can represent either an application or a document. When parameter file_name represents an application, parameters operation and app_parameter are useless.

Parameters

  [in] | file_name | The file name of the application to be launched or the document to be opened or printed. It should not be an empty string.
  [in] | default_directory | Default directory in standard DOS syntax.
  [in] | operation | Operation name. This can be an empty string. If this is not an empty string, it should be one of following strings: "open": Open a document. "print": Print a document
  [in] | app_parameter | Parameter string to be passed to the specified application.

Returns
  None.